Bug 807553 - [Rest API] valid embed cartridge list for a scalable app should only list mysql and jenkin-client
[Rest API] valid embed cartridge list for a scalable app should only list mys...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 02:44 EDT by Johnny Liu
Modified: 2012-06-25 14:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: devenv_1825
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-03-28 02:44:41 EDT
Description of problem:
Create a scalable app, run the following command to get valid embed cartridge list.
$ curl -k -X GET -H 'Accept: application/xml' --user jialiu@redhat.com:214214 https://ec2-50-17-96-240.compute-1.amazonaws.com/broker/rest/domains/jialiu/applications/myapp
...
      <link>
        <href>/domains/jialiu/applications/myapp/cartridges</href>
        <optional-params/>
        <method>POST</method>
        <required-params>
          <param>
            <valid-options>
              <valid-option>mongodb-2.0</valid-option>
              <valid-option>cron-1.4</valid-option>
              <valid-option>mysql-5.1</valid-option>
              <valid-option>postgresql-8.4</valid-option>
              <valid-option>haproxy-1.4</valid-option>
              <valid-option>10gen-mms-agent-0.1</valid-option>
              <valid-option>phpmyadmin-3.4</valid-option>
              <valid-option>metrics-0.1</valid-option>
              <valid-option>phpmoadmin-1.0</valid-option>
              <valid-option>rockmongo-1.1</valid-option>
              <valid-option>jenkins-client-1.4</valid-option>
            </valid-options>
            <description>framework-type, e.g.: mysql-5.1</description>
            <type>string</type>
            <name>cartridge</name>
          </param>
        </required-params>
        <rel>Add embedded cartridge</rel>
      </link>
...

Valid option should only list mysql-5.1 and jenkins-client-1.4.

Version-Release number of selected component (if applicable):
devenv_1677

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Johnny Liu 2012-06-11 00:45:46 EDT
Verified this bug devenv_1827, and PASS.
$ curl -k -X POST -H 'Accept: application/xml' -d name=phptest -d cartridge=php-5.3 -d scale=true --user jialiu@redhat.com:214214 https://ec2-107-20-92-208.compute-1.amazonaws.com/broker/rest/domains/jialiu/applications
...
        <link>
          <optional-params/>
          <href>https://ec2-107-20-92-208.compute-1.amazonaws.com/broker/rest/domains/jialiu/applications/phptest/cartridges</href>
          <rel>Add embedded cartridge</rel>
          <method>POST</method>
          <required-params>
            <param>
              <type>string</type>
              <name>cartridge</name>
              <valid-options>
                <valid-option>mysql-5.1</valid-option>
                <valid-option>mongodb-2.0</valid-option>
                <valid-option>jenkins-client-1.4</valid-option>
              </valid-options>
              <description>framework-type, e.g.: mysql-5.1</description>
            </param>
          </required-params>
        </link>
...

Note You need to log in before you can comment on or make changes to this bug.